Subject: RE: [MMUSIC] Question about the use of 0.0.0.0 and 0:0:0:0:0:0:0:0 in RFC 3264 (Offer/Answer)

From: "Barany, Pete" <[email-masked]>
Date: Thu, 20 May 2004 08:59:53 -0700

OK. My next question is, why not? Is there/was there a particular
technical reason why it doesn't apply to 0:0:0:0:0:0:0:0? Thnx.

- Pete

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]] 
Sent: Thursday, May 20, 2004 8:52 AM
To: Barany, Pete
Cc: [email-masked]
Subject: Re: [MMUSIC] Question about the use of 0.0.0.0 and
0:0:0:0:0:0:0:0 in RFC 3264 (Offer/Answer)

It doesn't apply to 0:0:0:0:0:0:0:0.

In other words, a v6 host shouldn't generate this as a technique for 
putting a call on hold (or for any other purpose). There is no defined 
behavior for how to react if you received such a thing.

-Jonathan R.

Barany, Pete wrote:

> Hi,
> 
> In Section 8.4 of RFC 3264 "An Offer/Answer Model with the Session
> Description Protocol (SDP)", the following statement is made:
> 
> -->BEGIN
> 
> RFC 2543 [10] specified that placing a user on hold was accomplished
> by setting the connection address to 0.0.0.0.  Its usage for putting
> a call on hold is no longer recommended, since it doesn't allow for
> RTCP to be used with held streams, doesn't work with IPv6, and breaks
> with connection oriented media.  However, it can be useful in an
> initial offer when the offerer knows it wants to use a particular set
> of media streams and formats, but doesn't know the addresses and
> ports at the time of the offer.  Of course, when used, the port
> number MUST NOT be zero, which would specify that the stream has been
> disabled.  An agent MUST be capable of receiving SDP with a
> connection address of 0.0.0.0, in which case it means that neither
> RTP nor RTCP should be sent to the peer.
> 
> -->END
> 
> Question:
> The statement "An agent MUST be capable of receiving SDP with a
> Connection address of 0.0.0.0, in which case it means that neither
> RTP nor RTCP should be sent to the peer."
> 
> Does this apply also to IPv6 (0:0:0:0:0:0:0:0, or in abbreviated
> format ::)? There is some mention about putting a call on hold early
> in the paragraph above and how this doesn't work for IPv6 ...
> therefore, this is the cause of my confusion. Thnx.
> 
> - Pete
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic